---
layout: documentation
title: Getting Started with MvvmCross
category: Getting-started
order: 1
---
NuGet | Continuous Integration
-------|-----------
[![NuGet](https://img.shields.io/nuget/v/MvvmCross.svg)](https://www.nuget.org/packages/MvvmCross/) | [![MyGet](https://img.shields.io/myget/mvvmcross/v/MvvmCross.svg)](https://www.myget.org/F/mvvmcross/api/v3/index.json)

## Introduction

MvvmCross is a cross-platform MVVM framework that enables developers to create powerful cross platform apps. It supports Xamarin.iOS, Xamarin.Android, Xamarin.Mac, Xamarin.Forms, Universal Windows Platform (UWP) and Windows Presentation Framework (WPF).

The high level features that MvvmCross provides you with are:
* MVVM architecture pattern
* Navigation system
* Data Binding
* Platform specifics support
* Inversion of Control container and Dependency Injection engine
* Lots of plugins for common functionalities
* Unit test helpers
* Complete flexibility - your app is King!

## Xamarin traditional vs Xamarin Forms

It doesn't matter if your next app is will be made using Xamarin traditional or Xamarin.Forms, because MvvmCross supports both approaches! 

## TipCalc Tutorial

The best way to get started with Xamarin & MvvmCross is to follow the TipCalc tutorial, which will guide you through the basics.

You can find it [here](https://www.mvvmcross.com/documentation/tutorials/tipcalc/the-tip-calc-tutorial).

## MvvmCross Templates

It is also recommended to use one of the templates available for Visual Studio / Visual Studio for Mac:

Name | Author | Link
---- | --------- | -------
XabluCross for MvvmCross | XabluCross | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=XabluCross.XabluCrossVSPackage)
MvvmCross for Visual Studio | Jim Bennett | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=JimBobBennett.MvvmCrossforVisualStudio-19327) - [Visual Studio for Mac](http://addins.monodevelop.com/Project/Index/227)
MvvmCross Plugin Template for Visual Studio | EShy | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=EShy.MvvmCrossPluginTemplateforVisualStudio)
Xamarin MvvmCross Dreams | Artmdev | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=Artmdev.XamarinMvvmCrossDREAMS)
Xamarin Forms 3 with MvvmCross 6 Solution Template | Paul Datsiuk | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=PaulDatsiuk.XamarinFormswithMvvmCross5SolutionTemplate)
Ninja Coder For MvvmCross and Xamarin Forms | Ninja Coder for MvvmCross | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=NinjaCoderforMvvmCross.NinjaCoderForMvvmCrossandXamarinForms)
MVXTemplates | Luke Pothier | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=LukePothier.MVXTemplates)
Mvx Toolkit | Jeremy Tillman | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=jtillman.mvxtoolkit)
MvxScaffolding | Plac3hold3r | [Visual Studio](https://marketplace.visualstudio.com/items?itemName=Plac3Hold3r.MvxScaffolding) - [dotnet template CLI](https://www.nuget.org/packages/MvxScaffolding.Templates/)

You can choose to download and install an extension manually, or you can get it from the Extension Manager in Visual Studio / the Add-In Gallery in Xamarin Studio (Visual Studio for Mac).

## Show me some code please!

Please check [this document](https://www.mvvmcross.com/documentation/getting-started/mvvmcross-overview) to get an overview of how MvvmCross works.

