# Security Policy

## Supported Versions

We support only the latest version of MvvmCross which can be found on the [MvvmCross NuGet.org profile](https://www.nuget.org/profiles/MvvmCross)

| Version | Supported          |
| ------- | ------------------ |
| 6.4.2   | :white_check_mark: |

## Reporting a Vulnerability

**Please do not open public GitHub issues for anything you think might have a security implication.**

Instead, please contact us directly by <a href="mailto:mvvmcross@gmail.com?subject=[security] my issue">send an email to mvvmcross at gmail.com</a>.
Please prefix the subject of your email with `[security]` in lowercase and square brackets. 
Otherwise, our email filters may automatically move such messages to spam.

You will receive an acknowledgement of your report within **24 hours**.

If you do not receive an acknowledgment within said time frame, please give us the benefit of the doubt, as it might be possible
that we have not seen the email yet.

Please include the requested information listed below (as much as you can provide) to help us better understand the nature and scope of the possible issue:

- Type of issue (e.g. buffer overflow, SQL injection, cross-site scripting, etc.)
- Full paths of source file(s) related to the manifestation of the issue
- The location of the affected source code (tag/branch/commit or direct URL)
- Any special configuration required to reproduce the issue
- Step-by-step instructions to reproduce the issue
- Proof-of-concept or exploit code (if possible)
- Impact of the issue, including how an attacker might exploit the issue

This information will help us triage your report more quickly.

## Preferred Languages

We prefer all communications to be in English.

## History

nothing
